Summary:	Crystal Entity Layer
Name:		cel
Version:	1.2.1
Release:	%mkrel 3
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.crystalspace3d.org/
Source0:	http://www.crystalspace3d.org/downloads/release/%{name}-src-%{version}.tar.bz2
Patch0:		cel-1.2.1-fix-str-fmt.patch
BuildRequires:	ftjam
BuildRequires:	crystalspace-devel >= 1.2
BuildRequires:	python-devel
BuildRequires:	cppunit-devel
BuildRequires:	zlib-devel
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRequires:	doxygen
BuildRequires:	imagemagick
BuildRequires:	perl(Template::Base)
BuildRequires:	tetex-dvips
BuildRequires:	tetex-dvipdfm
BuildRequires:	icoutils
BuildRequires:	librsvg
BuildRequires:	crystalspace-bindings-python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Crystal Entity Layer (CEL) is a game entity layer based on Crystal Space.
It makes it easier for game developers to create games based on Crystal Space.
CEL can optionally be used together with Python or other scripting languages.

%package devel
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
Development headers and libraries for %{name}.

%package doc
Summary:	Documentation for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p0

%build
./autogen.sh

perl -pi -e "s#cspycommon##g" configure

%configure2_5x \
	--disable-separate-debug-info \
	--disable-meta-info-embedding

jam %{_smp_mflags}

%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} jam -d2 install

sed -i -e "s#/lib/#/%{_lib}/#g" %{buildroot}%{_bindir}/cel-config

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README docs/todo.txt docs/history.txt
%{_bindir}/*
%exclude %{_bindir}/%{name}-config
%{_datadir}/%{name}-1.2
%dir %{_sysconfdir}/%{name}-1.2
%config(noreplace) %{_sysconfdir}/%{name}-1.2/*.cfg
%dir %{_libdir}/%{name}-1.2
%{_libdir}/%{name}-1.2/*.so
%{_libdir}/%{name}-1.2/*.csplugin

%files devel
%defattr(-,root,root)
%{_bindir}/%{name}-config
%dir %{_includedir}/%{name}-1.2
%{_includedir}/%{name}-1.2/*
%{_libdir}/*.a

%files doc
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}


%changelog
* Thu Jan 22 2009 Funda Wang <fundawang@mandriva.org> 1.2.1-3mdv2009.1
+ Revision: 332565
- fix str fmt

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-2mdv2009.0
+ Revision: 266476
- rebuild early 2009.0 package (before pixel changes)

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 213003
- fix file list
- update to new version 1.2.1

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-2mdv2009.0
+ Revision: 197309
- rebuild

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-1mdv2009.0
+ Revision: 197101
- add build requires on crystalspace-bindings-python
- add new subpackage with documentation
- spec file clean
- fix file list
- add lot of missing buildrequires
- spec file clean
- new version
- drop patch 0
- add missing buildrequires on libtool, texinfo and imagemagick

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 22 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-1mdv2007.0
+ Revision: 111832
- fix build on x86_64 (P0)
- buildrequires on zlib-devel (??)
- new release: 1.0
  clean out old junk
  lib64 fix for cel-config
- Import cel

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.20050309.2mdk
- gah, headers went in the wrong place

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.20050309.1mdk
- new cvs snapshot
- fix buildrequires
- drop P0

